<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: googletest-catch-exceptions-test.CatchCxxExceptionsTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classgoogletest-catch-exceptions-test_1_1CatchCxxExceptionsTest.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">googletest-catch-exceptions-test.CatchCxxExceptionsTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for googletest-catch-exceptions-test.CatchCxxExceptionsTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgoogletest-catch-exceptions-test_1_1CatchCxxExceptionsTest__inherit__graph.svg" width="226" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for googletest-catch-exceptions-test.CatchCxxExceptionsTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgoogletest-catch-exceptions-test_1_1CatchCxxExceptionsTest__coll__graph.svg" width="226" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2e45e6a6ecc7d4e1171a48f9c30e1306"><td class="memItemLeft" align="right" valign="top"><a id="a2e45e6a6ecc7d4e1171a48f9c30e1306"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testCatchesCxxExceptionsInFixtureConstructor</b> (self)</td></tr>
<tr class="separator:a2e45e6a6ecc7d4e1171a48f9c30e1306"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5ed341fb122b7d03da8ce86043166c3"><td class="memItemLeft" align="right" valign="top"><a id="ae5ed341fb122b7d03da8ce86043166c3"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testCatchesCxxExceptionsInFixtureDestructor</b> (self)</td></tr>
<tr class="separator:ae5ed341fb122b7d03da8ce86043166c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7ceec96581c2cfff6267d26a43e2e7d"><td class="memItemLeft" align="right" valign="top"><a id="ad7ceec96581c2cfff6267d26a43e2e7d"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testCatchesCxxExceptionsInSetUpTestCase</b> (self)</td></tr>
<tr class="separator:ad7ceec96581c2cfff6267d26a43e2e7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3b886e83d78eac40718ff0aeb5ee76b"><td class="memItemLeft" align="right" valign="top"><a id="ae3b886e83d78eac40718ff0aeb5ee76b"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testCatchesCxxExceptionsInTearDownTestCase</b> (self)</td></tr>
<tr class="separator:ae3b886e83d78eac40718ff0aeb5ee76b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefd6501c46ece89e1558b708d2b7f932"><td class="memItemLeft" align="right" valign="top"><a id="aefd6501c46ece89e1558b708d2b7f932"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testCatchesCxxExceptionsInSetUp</b> (self)</td></tr>
<tr class="separator:aefd6501c46ece89e1558b708d2b7f932"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7130e108d4530a70b604a7710229811"><td class="memItemLeft" align="right" valign="top"><a id="ab7130e108d4530a70b604a7710229811"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testCatchesCxxExceptionsInTearDown</b> (self)</td></tr>
<tr class="separator:ab7130e108d4530a70b604a7710229811"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48ada29ca056cd94368189ed0509baa8"><td class="memItemLeft" align="right" valign="top"><a id="a48ada29ca056cd94368189ed0509baa8"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testCatchesCxxExceptionsInTestBody</b> (self)</td></tr>
<tr class="separator:a48ada29ca056cd94368189ed0509baa8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01731aaf8269fc952559f5684b395119"><td class="memItemLeft" align="right" valign="top"><a id="a01731aaf8269fc952559f5684b395119"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testCatchesNonStdCxxExceptions</b> (self)</td></tr>
<tr class="separator:a01731aaf8269fc952559f5684b395119"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2304b62b833f0729e8909ad8615212c"><td class="memItemLeft" align="right" valign="top"><a id="ab2304b62b833f0729e8909ad8615212c"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testUnhandledCxxExceptionsAbortTheProgram</b> (self)</td></tr>
<tr class="separator:ab2304b62b833f0729e8909ad8615212c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Tests C++ exception-catching behavior.

   Tests in this test case verify that:
   * C++ exceptions are caught and logged as C++ (not SEH) exceptions
   * Exception thrown affect the remainder of the test work flow in the
     expected manner.
</pre> </div><hr/>The documentation for this class was generated from the following file:<ul>
<li>googletest-catch-exceptions-test.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>googletest-catch-exceptions-test</b></li><li class="navelem"><a class="el" href="classgoogletest-catch-exceptions-test_1_1CatchCxxExceptionsTest.html">CatchCxxExceptionsTest</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
